Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.tagvalue
Class TagRenamer

    java.lang.Object
      org.biojava.bio.program.tagvalue.SimpleTagValueWrapper
          org.biojava.bio.program.tagvalue.TagRenamer

All Implemented Interfaces:
  TagValueListener, TagValueWrapper

    public class TagRenamer

extends SimpleTagValueWrapper

Rename tags using a TagMapper.

This will rename tags as they stream into this listener using a TagMapper. Once renamed, the events will be forwarded onto a delegate TagValueListener for further processing.

Since:
  1.2
Author:
  Matthew Pocock

Constructor Summary
`TagRenamer(TagValueListener delegate, PropertyChanger mapper)` Build a new TagRenamer with a delegate and mapper.

Method Summary
`PropertyChanger` | `getMapper()` Retrieve the mapper used to rename tags
`void` | `startTag(Object tag)` Start a new tag.

Methods inherited from class org.biojava.bio.program.tagvalue.SimpleTagValueWrapper
`endRecord, endTag, getDelegate, setDelegate, startRecord, value`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagRenamer

    public TagRenamer(TagValueListener delegate,
                      PropertyChanger mapper)

  Build a new TagRenamer with a delegate and mapper.

  Parameters:
    `delegate` - TagValueListener to pass mapped events onto
    `mapper` - TagMapper used to rename tags

Method Detail

### getMapper

    public PropertyChanger getMapper()

  Retrieve the mapper used to rename tags

  Returns:
    the current mapper

### startTag

    public void startTag(Object tag)
                  throws ParserException

  Description copied from interface: `TagValueListener`
  Start a new tag.

  Specified by:
    `startTag` in interface `TagValueListener`
  Overrides:
    `startTag` in class `SimpleTagValueWrapper`
  Parameters:
    `tag` - the Object representing the new tag
  Throws:
    `ParserException` - if the tag could not be started

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD